## org.apache.aries.subsystem.core.archive
Class Manifest

    java.lang.Object
      org.apache.aries.subsystem.core.archive.Manifest

Direct Known Subclasses:
  BundleManifest

    public abstract class Manifest

extends Object

Field Summary
`protected Map<String,Header>` `headers`
`protected Manifest` `manifest`

Constructor Summary
`protected` `Manifest()`
`` `Manifest(File manifestFile)`
`` `Manifest(InputStream in)`
`` `Manifest(Manifest manifest)`

Method Summary
`Header` `getHeader(String name)`
`Collection<Header>` `getHeaders()`
`Manifest` `getManifest()`
`Header` `getManifestVersion()`
`String` `toString()`
`void` `write(OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### headers

    protected final Map<String,Header> headers

### manifest

    protected final Manifest manifest

Constructor Detail

### Manifest

    public Manifest(InputStream in)
             throws IOException

Throws:
  `IOException`

### Manifest

    public Manifest(Manifest manifest)

### Manifest

    public Manifest(File manifestFile)
             throws IOException

Throws:
  `IOException`

### Manifest

    protected Manifest()

Method Detail

### getHeader

    public Header getHeader(String name)

### getHeaders

    public Collection<Header> getHeaders()

### getManifest

    public Manifest getManifest()

### getManifestVersion

    public Header getManifestVersion()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### write

    public void write(OutputStream out)
               throws IOException

  Throws:
    `IOException`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.